Jump to content


Photo

Projektile Weapons And Laser Not Hitting Soldiers.


  • Please log in to reply
9 replies to this topic

#1 Wiesel

Wiesel

    Squaddie

  • Forum Members
  • PipPip
  • 9 posts

Posted 09 September 2007 - 02:40 PM

hiho
i compiled the newest beta myself and i am wondering why i cant hit other soldiers with projectile weapins and lasers( area effekt weapons such grenades and rockets work very well).

since i compiled it myself, can it be that i just did something wrong, another library with the wrong version except dumb 9.2.0?
this is happening in online games, aswell as in hotseat.
i used the ufo2000 weapons set.

#2 Guest_Azrael Strife_*

Guest_Azrael Strife_*
  • Guests

Posted 09 September 2007 - 02:44 PM

Did you follow the Compilation instructions to the letter?

#3 Wiesel

Wiesel

    Squaddie

  • Forum Members
  • PipPip
  • 9 posts

Posted 09 September 2007 - 02:56 PM

um, there where only "load that librarys, compile dumb 9.2.0 and type make".
i would test the stable but it whont compile on my system.
the problem is that i dont find the "compiling ufo2000 for dummies" thread anymore...

#4 Kratos

Kratos

    UFO2000 Staff

  • Moderators
  • PipPipPipPipPip
  • 4113 posts

Posted 09 September 2007 - 03:38 PM

hiho
i compiled the newest beta myself and i am wondering why i cant hit other soldiers with projectile weapins and lasers( area effekt weapons such grenades and rockets work very well).

since i compiled it myself, can it be that i just did something wrong, another library with the wrong version except dumb 9.2.0?
this is happening in online games, aswell as in hotseat.
i used the ufo2000 weapons set.

I'm not trying to nitpick at your writing, but there are people on these forums with English not being their native language. It would be best if you would use correct English to prevent confusion. :)

Why are you using the svn (compiled) beta over the official beta release to play online? There is no difference between the two in gameplay value. If you are just compiling to play, I ask you to use the official beta release. The official beta release and the svn beta are read and recorded under the server statistics to rate stability and help track bugs. As of right now, the statistics, for some odd reason, is recording compiled and released betas as one for stability, which makes our readings very inaccurate. We have no way of differentiating between the two betas, which makes it really hard to figure out what is causing errors. You probably could care less about our stability statistics I know, but you must understand that if you want a more error free stable release in the very near future, it would be wise to use the official beta release for gameplay, and use the svn beta for strictly programming use. If you do use the svn beta for programming use, please play somebody with your patch for testing, and not somebody who doesn't. You will not receive the testing results you want, since online gaming requires version compatibility.

To answer your post:

i compiled the newest beta myself and i am wondering why i cant hit other soldiers with projectile weapins and lasers( area effekt weapons such grenades and rockets work very well).

It's most useful to provide more information so we can find the source of the problem. :)

Did you edit something in the code? If you revised something in the code and played somebody on the network, did that person you played apply your patch? Or did you simply play somebody without giving them a patch to match your revised version?

If you didn't touch anything, I have no idea why this is occurring. It is no different from the official beta release.

since i compiled it myself, can it be that i just did something wrong, another library with the wrong version except dumb 9.2.0?

No, DUMB library is an IT, XM, S3M and MOD player library and has no relation to gameplay. DUMB should also come with the source. Should be located at: /ufo2000/src/dumbogg

the problem is that i dont find the "compiling ufo2000 for dummies" thread anymore...

We never had such a thread. We have two useful threads, Compile Instructions where you can read how to compile, and Compilation Problems where you can ask specific questions or possibly find a similar question somebody already asked in that thread.
Posted Image

#5 Wiesel

Wiesel

    Squaddie

  • Forum Members
  • PipPip
  • 9 posts

Posted 09 September 2007 - 04:14 PM

ok, sory for the typos in my posts, and sorry for the lack of debug information.
i think i begin with stuff i forgot to say so far:
i am using ArchLinux, with the required libs mentioned in this forum.

about the svn:
i would realy like to play the current stable version, but i just cant compile it.
the error i get is this:
src/glyphkeeper/glyph_rend.c:510: error: dereferencing pointer to incomplete type
wich looks for me like a wrong lib or something.
this happens if i compile the source from 0.7.1062 with "scons", since "make" will break very early while complaining about a missing ' " ' in the command.
<command-line>: Warnung: fehlendes abschlie?endes Zeichen "
wich means something like [Warning: missing closing Character " ]
i already searched the forum about one of those errors and i kno that the problem istn caused by the source itself but because of my own system or the installed programms needet to compile ufo2k.

sorry again about the english, but i COULD post it in german if it helps... ;D

#6 Hobbes

Hobbes

    UFO2000 Staff

  • Moderators
  • PipPipPipPip
  • 719 posts

Posted 09 September 2007 - 05:49 PM

hiho
i compiled the newest beta myself and i am wondering why i cant hit other soldiers with projectile weapins and lasers( area effekt weapons such grenades and rockets work very well).


This might sound stupid but have you tried increasing the accuracy stat of your soldiers to the maximum (80)?

#7 Wiesel

Wiesel

    Squaddie

  • Forum Members
  • PipPip
  • 9 posts

Posted 09 September 2007 - 06:35 PM

i didnt touched the soldier stats at all, they where at 80 for each of my soliders.
also i just tested every weapon set that came with ufo and can tell the error isnt because of the sets x)

since i never messed around with the stats i cant tell if it is normal to have the standart troopers at 80 accuracy.

#8 Hobbes

Hobbes

    UFO2000 Staff

  • Moderators
  • PipPipPipPip
  • 719 posts

Posted 09 September 2007 - 07:04 PM

i didnt touched the soldier stats at all, they where at 80 for each of my soliders.
also i just tested every weapon set that came with ufo and can tell the error isnt because of the sets x)

since i never messed around with the stats i cant tell if it is normal to have the standart troopers at 80 accuracy.


It's normal for firing accuracy to be at 80 if you want them to hit anything at long range :)

Sorry to ask, but there are players who don't realize that you can costumize the stats :)

#9 Sporb

Sporb

    UFO2000 Staff

  • Moderators
  • PipPipPipPip
  • 739 posts

Posted 10 September 2007 - 12:01 AM

i didnt touched the soldier stats at all, they where at 80 for each of my soliders.
also i just tested every weapon set that came with ufo and can tell the error isnt because of the sets x)

since i never messed around with the stats i cant tell if it is normal to have the standart troopers at 80 accuracy.


It's normal for firing accuracy to be at 80 if you want them to hit anything at long range :)

Sorry to ask, but there are players who don't realize that you can costumize the stats :)


This is certainly the case. I think the mission planner could always use a nicer interface. But that is for another topic entirely.

#10 Wiesel

Wiesel

    Squaddie

  • Forum Members
  • PipPip
  • 9 posts

Posted 10 September 2007 - 04:28 AM

oh no, i know that i can modify the soldier stats, i just wasnt sure that 80 accuracy was normal since you mentioned to put it on 80 to see the effects ;D

i try'd again to compile the latest stable and found that the makefile got an, for an "makefile-reader-newcomer" like me an unallowed entry.
"UFO_SVNVERSION :=" makes the syntax for compiling somewhat like this "-DUFO_SVNVERSION=\"exportiert \" "<- the problm is the space between the last character and the escape character, so the compiler things there actualy is an space for a following argument.
i changed the value in the makefile to the actual version number(i dont even know if that is correct, but it worked for me)
the problem is still that it breaks at the same line where scons is exiting with an error.
i do post the errors i get in the "compiling errors" thread too since i think that it is better to list them there and i also will continue to look for the problem that causes this abort of the compiler.

EDIT
i just followed the instructions for disabling ttf for the current stable.
the problem is that i still get the error that i cant hit anything with every version i tested so far

EDIT2
i actually got it to compile without the error of non-hitting projectiles, but i needed to make debug=1.
the game just runs as normal, no syncerrors because of squaddies, believed to be dead and stuff like that.

Edited by Wiesel, 11 September 2007 - 02:02 PM.